# Class: Marshal

## Marshal

#### new Marshal

  Creates a Serialization/Deserialization object for a column family

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `type` | String | The type to create the marshaller for (eg. 'BytesType' or 'org.apache...CompositeType(BytesType,UTF8Type))

  Source:
    - index.js, line 201

### Members

#### <private, static> TYPES

  Supported types for marshalling

  Source:
    - index.js, line 17

### Methods

#### deserialize

  Deserializes data for the type specified

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `value(s)` | Object | The value, or values if type is Composite, to deserialize

  Source:
    - index.js, line 223

#### serialize

  Serializes data for the type specified

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `value(s)` | Object | The value, or values if type is Composite, to serialize

  Source:
    - index.js, line 216

#### <private, static> compositeDeserializer

  Creates a deserializer for composite types

  Source:
    - index.js, line 141

#### <private, static> compositeSerializer

  Creates a serializer for composite types

  Source:
    - index.js, line 101

#### <private, static> getCompositeTypes

  Returns an array of types for composite columns

  Source:
    - index.js, line 63

#### <private, static> getDeserializer

  Gets the deserializer(s) for a specific type

  Source:
    - index.js, line 181

#### <private, static> getInnerType

  Returns the type string inside of the parentheses

  Source:
    - index.js, line 53

#### <private, static> getSerializer

  Gets the serializer(s) for a specific type

  Source:
    - index.js, line 163

#### <private, static> getType

  Given a string like org.apache.cassandra.db.marshal.UTF8Type return a string of UTF8Type

  Source:
    - index.js, line 43

  ##### Returns:

  TypeName
  Type
    string

#### <private, static> NOOP

  No-Operation

  Source:
    - index.js, line 10

#### <private, static> parseTypeString

  Parses the type string and decides what types to return

  Source:
    - index.js, line 84